ALSA project - the C library reference: Description Functions

ALSA project - the C library reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Description Functions
PCM Interface

## Functions
const char * | snd_pcm_type_name (snd_pcm_type_t type)
| get name of PCM type More...
const char * | snd_pcm_stream_name (const snd_pcm_stream_t stream)
| get name of PCM stream type More...
const char * | snd_pcm_access_name (const snd_pcm_access_t _access)
| get name of PCM access type More...
const char * | snd_pcm_format_name (const snd_pcm_format_t format)
| get name of PCM sample format More...
const char * | snd_pcm_format_description (const snd_pcm_format_t format)
| get description of PCM sample format More...
const char * | snd_pcm_subformat_name (const snd_pcm_subformat_t subformat)
| get name of PCM sample subformat More...
const char * | snd_pcm_subformat_description (const snd_pcm_subformat_t subformat)
| get description of PCM sample subformat More...
snd_pcm_format_t | snd_pcm_format_value (const char *name)
| get PCM sample format from name More...
const char * | snd_pcm_tstamp_mode_name (const snd_pcm_tstamp_t mode)
| get name of PCM tstamp mode setting More...
const char * | snd_pcm_state_name (const snd_pcm_state_t state)
| get name of PCM state More...

## Detailed Description

See the PCM (digital audio) interface page for more details.

## Function Documentation

const char* snd_pcm_access_name | ( | snd_pcm_access_t | acc | ) |

get name of PCM access type

Parameters

  acc | PCM access type

Returns
  ascii name of PCM access type

const char* snd_pcm_format_description | ( | snd_pcm_format_t | format | ) |

get description of PCM sample format

Parameters

  format | PCM sample format

Returns
  ascii description of PCM sample format

const char* snd_pcm_format_name | ( | snd_pcm_format_t | format | ) |

get name of PCM sample format

Parameters

  format | PCM sample format

Returns
  ascii name of PCM sample format

Examples:
  /test/latency.c, and /test/pcm.c.

snd_pcm_format_t snd_pcm_format_value | ( | const char * | name | ) |

get PCM sample format from name

Parameters

  name | PCM sample format name (case insensitive)

Returns
  PCM sample format

Examples:
  /test/latency.c.

const char* snd_pcm_state_name | ( | snd_pcm_state_t | state | ) |

get name of PCM state

Parameters

  state | PCM state

Returns
  ascii name of PCM state

const char* snd_pcm_stream_name | ( | snd_pcm_stream_t | stream | ) |

get name of PCM stream type

Parameters

  stream | PCM stream type

Returns
  ascii name of PCM stream type

const char* snd_pcm_subformat_description | ( | snd_pcm_subformat_t | subformat | ) |

get description of PCM sample subformat

Parameters

  subformat | PCM sample subformat

Returns
  ascii description of PCM sample subformat

const char* snd_pcm_subformat_name | ( | snd_pcm_subformat_t | subformat | ) |

get name of PCM sample subformat

Parameters

  subformat | PCM sample subformat

Returns
  ascii name of PCM sample subformat

const char* snd_pcm_tstamp_mode_name | ( | snd_pcm_tstamp_t | mode | ) |

get name of PCM tstamp mode setting

Parameters

  mode | PCM tstamp mode

Returns
  ascii name of PCM tstamp mode setting

const char* snd_pcm_type_name | ( | snd_pcm_type_t | type | ) |

get name of PCM type

Parameters

  type | PCM type

Returns
  ascii name of PCM type